> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toapis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 가사 / 영감 / 효과음 / 태그

> lyrics 가사 생성, inspo 레퍼런스 생성, sounds 효과음, upsampleTags 태그 확장

```
POST https://toapis.com/v1/music/generations/{operation}
```

**model** `string` *required*

고정 `"suno"`

## lyrics — 가사 생성(\$0.008)

**prompt** `string` *required*

가사 주제 설명

**lyrics\_model** `string`

가사 모델:`classic` / `remi`(선택)

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/music/generations/lyrics \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{"model":"suno","prompt":"여름 바닷가에 대한 노래"}'
```

## inspo — 레퍼런스 영감 생성($0.068, Max $0.136)

1-4개의 레퍼런스 오디오를 바탕으로 새 곡 생성.

**audio\_urls** `array` *required*

공개 오디오 URL 1-4개

**max\_mode** `boolean`

Max 티어(본 작업에 `custom` 없음. 바로 적용)

> [!WARNING]
>
> `custom`은 보내지 마세요. 업스트림에서 거부됩니다.

## sounds — 효과음 생성(\$0.0096)

**prompt** `string` *required*

효과음 설명

**type** `string`

효과음 유형

**bpm** `number`

템포(범위 1-300)

**key** `string`

조성

## upsampleTags — 태그 확장(\$0.004)

짧은 스타일 태그를 상세 스타일 설명으로 확장.

**tags** `string` *required*

스타일 태그. 예:`"lo-fi chill beats"`

## Response

**task\_id** `string`

태스크 ID

**status** `string`

`submitted`


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.